
/******************************************************************************/                                  
/******************************************************************************/

/* LCD  panel SPI interface define */
sbit	SPI_RES = P3^6;	 //reset
sbit	SPI_DI = P1^5;	//data input		 
sbit	SPI_CLK = P1^7;   //clock
sbit	SPI_CS = P3^4;  //chip select

//RGB+9b_SPI(rise)
 void SPI_SendData(unsigned char i)
{  
   unsigned char n;
   
   for(n=0; n<8; n++)			
   {       
			SPI_CLK=0;
			_nop_(); _nop_();_nop_();_nop_();
			SPI_DI=i&0x80;
			_nop_(); _nop_();_nop_();_nop_();
			SPI_CLK=1;
			i<<=1;
			_nop_(); _nop_();_nop_();_nop_();
	  
   }
}
void SPI_WriteComm(unsigned char i)
{
    SPI_CS=0;
	  	_nop_(); _nop_();_nop_();_nop_();
    SPI_DI=0 ;
	  	_nop_(); _nop_();_nop_();_nop_(); 
	SPI_CLK=0;
		_nop_(); _nop_();_nop_();_nop_();
	SPI_CLK=1;
		_nop_(); _nop_();_nop_();_nop_();
	SPI_SendData(i);
		
    SPI_CS=1;
}



void SPI_WriteData(unsigned char i)
{ 
    SPI_CS=0;
	  	_nop_(); _nop_();_nop_();_nop_();
    SPI_DI=1 ;
	  	_nop_(); _nop_();_nop_();_nop_(); 
	SPI_CLK=0;
		_nop_(); _nop_();_nop_();_nop_();
	SPI_CLK=1;
		_nop_(); _nop_();_nop_();_nop_();
	SPI_SendData(i);
		
    SPI_CS=1;
} 




void ST7701S_Initial(void)
{

	SPI_RES=1;
	delay_ms(10);
	SPI_RES=0;
	delay_ms(100);
	SPI_RES=1;
	delay_ms(10);  


	SPI_WriteComm (0xff);
	SPI_WriteData (0x77);
	SPI_WriteData (0x01);
	SPI_WriteData (0x00);
	SPI_WriteData (0x00);
	SPI_WriteData (0x13);
	SPI_WriteComm (0xef);
	SPI_WriteData (0x08);
	SPI_WriteComm (0xff);
	SPI_WriteData (0x77);
	SPI_WriteData (0x01);
	SPI_WriteData (0x00);
	SPI_WriteData (0x00);
	SPI_WriteData (0x10);
	SPI_WriteComm (0xc0);
	SPI_WriteData (0x77);
	SPI_WriteData (0x00);
	SPI_WriteComm (0xc1);
	SPI_WriteData (0x11);
	SPI_WriteData (0x0c);
	SPI_WriteComm (0xc2);
	SPI_WriteData (0x07);
	SPI_WriteData (0x02);

 	SPI_WriteComm (0xC3); 
	SPI_WriteData (0x80);
	SPI_WriteData (0x10);
	SPI_WriteData (0x10);

	SPI_WriteComm (0xcc);
	SPI_WriteData (0x30);
	SPI_WriteComm (0xB0);
	SPI_WriteData (0x06);
	SPI_WriteData (0xCF);
	SPI_WriteData (0x14);
	SPI_WriteData (0x0C);
	SPI_WriteData (0x0F);
	SPI_WriteData (0x03);
	SPI_WriteData (0x00);
	SPI_WriteData (0x0A);
	SPI_WriteData (0x07);
	SPI_WriteData (0x1B);
	SPI_WriteData (0x03);
	SPI_WriteData (0x12);
	SPI_WriteData (0x10);
	SPI_WriteData (0x25);
	SPI_WriteData (0x36);
	SPI_WriteData (0x1E);
	SPI_WriteComm (0xB1);
	SPI_WriteData (0x0C);
	SPI_WriteData (0xD4);
	SPI_WriteData (0x18);
	SPI_WriteData (0x0C);
	SPI_WriteData (0x0E);
	SPI_WriteData (0x06);
	SPI_WriteData (0x03);
	SPI_WriteData (0x06);
	SPI_WriteData (0x08);
	SPI_WriteData (0x23);
	SPI_WriteData (0x06);
	SPI_WriteData (0x12);
	SPI_WriteData (0x10);
	SPI_WriteData (0x30);
	SPI_WriteData (0x2F);
	SPI_WriteData (0x1F);
	SPI_WriteComm (0xff);
	SPI_WriteData (0x77);
	SPI_WriteData (0x01);
	SPI_WriteData (0x00);
	SPI_WriteData (0x00);
	SPI_WriteData (0x11);
	SPI_WriteComm (0xb0);
	SPI_WriteData (0x73);
	SPI_WriteComm (0xb1);
	SPI_WriteData (0x7C);
	SPI_WriteComm (0xb2);
	SPI_WriteData (0x83);
	SPI_WriteComm (0xb3);
	SPI_WriteData (0x80);
	SPI_WriteComm (0xb5);
	SPI_WriteData (0x49);
	SPI_WriteComm (0xb7);
	SPI_WriteData (0x87);
	SPI_WriteComm (0xb8);
	SPI_WriteData (0x33);
	SPI_WriteComm (0xb9);
	SPI_WriteData (0x10);
	SPI_WriteData (0x1f);
	SPI_WriteComm (0xbb);
	SPI_WriteData (0x03);
	SPI_WriteComm (0xc1);
	SPI_WriteData (0x08);
	SPI_WriteComm (0xc2);
	SPI_WriteData (0x08);
	SPI_WriteComm (0xd0);
	SPI_WriteData (0x88);
	SPI_WriteComm (0xe0);
	SPI_WriteData (0x00);
	SPI_WriteData (0x00);
	SPI_WriteData (0x02);
	SPI_WriteData (0x00);
	SPI_WriteData (0x00);
	SPI_WriteData (0x0c);
	SPI_WriteComm (0xe1);
	SPI_WriteData (0x05);
	SPI_WriteData (0x96);
	SPI_WriteData (0x07);
	SPI_WriteData (0x96);
	SPI_WriteData (0x06);
	SPI_WriteData (0x96);
	SPI_WriteData (0x08);
	SPI_WriteData (0x96);
	SPI_WriteData (0x00);
	SPI_WriteData (0x44);
	SPI_WriteData (0x44);
	SPI_WriteComm (0xe2);
	SPI_WriteData (0x00);
	SPI_WriteData (0x00);
	SPI_WriteData (0x03);
	SPI_WriteData (0x03);
	SPI_WriteData (0x00);
	SPI_WriteData (0x00);
	SPI_WriteData (0x02);
	SPI_WriteData (0x00);
	SPI_WriteData (0x00);
	SPI_WriteData (0x00);
	SPI_WriteData (0x02);
	SPI_WriteData (0x00);
	SPI_WriteComm (0xe3);
	SPI_WriteData (0x00);
	SPI_WriteData (0x00);
	SPI_WriteData (0x33);
	SPI_WriteData (0x33);
	SPI_WriteComm (0xe4);
	SPI_WriteData (0x44);
	SPI_WriteData (0x44);
	SPI_WriteComm (0xe5);
	SPI_WriteData (0x0d);
	SPI_WriteData (0xd4);
	SPI_WriteData (0x28);
	SPI_WriteData (0x8c);
	SPI_WriteData (0x0f);
	SPI_WriteData (0xd6);
	SPI_WriteData (0x28);
	SPI_WriteData (0x8c);
	SPI_WriteData (0x09);
	SPI_WriteData (0xd0);
	SPI_WriteData (0x28);
	SPI_WriteData (0x8c);
	SPI_WriteData (0x0b);
	SPI_WriteData (0xd2);
	SPI_WriteData (0x28);
	SPI_WriteData (0x8c);
	SPI_WriteComm (0xe6);
	SPI_WriteData (0x00);
	SPI_WriteData (0x00);
	SPI_WriteData (0x33);
	SPI_WriteData (0x33);
	SPI_WriteComm (0xe7);
	SPI_WriteData (0x44);
	SPI_WriteData (0x44);
	SPI_WriteComm (0xe8);
	SPI_WriteData (0x0e);
	SPI_WriteData (0xd5);
	SPI_WriteData (0x28);
	SPI_WriteData (0x8c);
	SPI_WriteData (0x10);
	SPI_WriteData (0xd7);
	SPI_WriteData (0x28);
	SPI_WriteData (0x8c);
	SPI_WriteData (0x0a);
	SPI_WriteData (0xd1);
	SPI_WriteData (0x28);
	SPI_WriteData (0x8c);
	SPI_WriteData (0x0c);
	SPI_WriteData (0xd3);
	SPI_WriteData (0x28);
	SPI_WriteData (0x8c);
	SPI_WriteComm (0xeb);
	SPI_WriteData (0x00);
	SPI_WriteData (0x01);
	SPI_WriteData (0xe4);
	SPI_WriteData (0xe4);
	SPI_WriteData (0x44);
	SPI_WriteData (0x00);
	SPI_WriteComm (0xed);
	SPI_WriteData (0xf3);
	SPI_WriteData (0xc1);
	SPI_WriteData (0xba);
	SPI_WriteData (0x0f);
	SPI_WriteData (0x66);
	SPI_WriteData (0x77);
	SPI_WriteData (0x44);
	SPI_WriteData (0x55);
	SPI_WriteData (0x55);
	SPI_WriteData (0x44);
	SPI_WriteData (0x77);
	SPI_WriteData (0x66);
	SPI_WriteData (0xf0);
	SPI_WriteData (0xab);
	SPI_WriteData (0x1c);
	SPI_WriteData (0x3f);
	SPI_WriteComm (0xef);
	SPI_WriteData (0x10);
	SPI_WriteData (0x0d);
	SPI_WriteData (0x04);
	SPI_WriteData (0x08);
	SPI_WriteData (0x3f);
	SPI_WriteData (0x1f);
	SPI_WriteComm (0xff);
	SPI_WriteData (0x77);
	SPI_WriteData (0x01);
	SPI_WriteData (0x00);
	SPI_WriteData (0x00);
	SPI_WriteData (0x13);
	SPI_WriteComm (0xe8);
	SPI_WriteData (0x00);
	SPI_WriteData (0x0e);

	SPI_WriteComm (0xe8);
	SPI_WriteData (0x00);
	SPI_WriteData (0x0c);
	delay_ms(10);
	SPI_WriteComm (0xe8);
	SPI_WriteData (0x40);
	SPI_WriteData (0x00);
	SPI_WriteComm (0xff);
	SPI_WriteData (0x77);
	SPI_WriteData (0x01);
	SPI_WriteData (0x00);
	SPI_WriteData (0x00);
	SPI_WriteData (0x00);

	SPI_WriteComm (0x36);
	SPI_WriteData (0x00);
	SPI_WriteComm (0x3A);
	SPI_WriteData (0x66);
	SPI_WriteComm (0x11);
	delay_ms(120);
	SPI_WriteComm (0x29);
	delay_ms(20);
/*
	SPI_WriteComm (0xff);
	SPI_WriteData (0x77);
	SPI_WriteData (0x01);
	SPI_WriteData (0x00);
	SPI_WriteData (0x00);
	SPI_WriteData (0x10);
	SPI_WriteComm (0xe5);
	SPI_WriteData (0x00);
	SPI_WriteData (0x00);
*/

}


